Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154858 - Users Tab -> Removing roles from yourself
Summary: Users Tab -> Removing roles from yourself
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/R&D
Version: RHN Devel
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Bowman
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: rhnMilestone1
TreeView+ depends on / blocked
 
Reported: 2005-04-14 16:06 UTC by Michael Bowman
Modified: 2007-04-18 17:23 UTC (History)
1 user (show)

Fixed In Version: 4.0.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-27 18:17:15 UTC


Attachments (Terms of Use)

Description Michael Bowman 2005-04-14 16:06:07 UTC
This doesn't work in the java code. 

A user should be able to remove roles from themselves on the user details page.

Comment 1 Michael Bowman 2005-04-19 16:45:41 UTC
Users can now remove roles from themselves in Java.

However, the user details page still needs some work. If a user removes org
admin status from themselves, they should be redirected off of this page:
http://mbowman.rdu.redhat.com/rhn/users/UserDetails.do?uid=4169969
To something where they cannot edit roles.

Waiting on java webapp security meeting to decide how to handle this, since if
we implement page security correctly, this problem should solve itself.



Comment 2 Michael Bowman 2005-06-20 16:11:28 UTC
Using struts acls now. See bz # 160809


Note You need to log in before you can comment on or make changes to this bug.